Skip to main content
`Ctrl`+`K`

# EPSGetLeftEigenvector

Gets the `i`-th left eigenvector as computed by `EPSSolve()`.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetLeftEigenvector(EPS eps,PetscInt i,Vec Wr,Vec Wi)

Collective

## Input Parameters

- eps - the linear eigensolver context

- i - index of the solution

## Output Parameters

- Wr - real part of left eigenvector

- Wi - imaginary part of left eigenvector

## Notes

The caller must provide valid `Vec` objects, i.e., they must be created by the calling program with e.g. `MatCreateVecs()`.

If the corresponding eigenvalue is real, then `Wi` is set to zero. If PETSc is configured with complex scalars the eigenvector is stored directly in `Wr` (`Wi` is set to zero). In any case, the user can pass `NULL` in `Wr` or `Wi` if one of them is not required.

The index `i` should be a value between 0 and `nconv`-1 (see `EPSGetConverged()`). Eigensolutions are indexed according to the ordering criterion established with `EPSSetWhichEigenpairs()`.

Left eigenvectors are available only if the `twosided` flag was set, see `EPSSetTwoSided()`.

In case of structured eigenproblems such as `EPS_BSE`, see the discussion about Extracting Eigenvectors of Structured Eigenproblems.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetEigenvector()`, `EPSGetConverged()`, `EPSSetWhichEigenpairs()`, `EPSSetTwoSided()`

## Level

intermediate

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex55.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex58.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages